Cyberduck Mountain Duck CLI

#11696 closed defect (fixed)

Canceled uploads to a vault results in an undeletable file

Reported by: tbodt Owned by:
Priority: normal Milestone: 7.10.0
Component: cryptomator Version: 7.9.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

If an upload is cancelled at the wrong moment, it will show up as permanently in progress and be undeletable, giving an error saying something about a missing fileId. The file it's trying to delete seems to have gotten its fileId and versionId cleared by https://github.com/iterate-ch/cyberduck/blob/0285d145e0d71e260c755a13b9fc8d164c56ea34/cryptomator/src/main/java/ch/cyberduck/core/cryptomator/CryptoVault.java#L390, making it impossible to delete.

Change History (5)

comment:1 Changed on Jun 14, 2021 at 8:24:20 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed
  • Summary changed from Cancelled uploads to a cryptomator vault on backblaze result in an undeletable file to Canceled uploads to a vault results in an undeletable file

In r51419 with addendum in r51421.

comment:2 Changed on Jun 14, 2021 at 8:24:25 AM by dkocher

  • Milestone set to 7.9.4

comment:3 Changed on Jun 24, 2021 at 6:58:10 AM by dkocher

  • Milestone changed from 7.9.4 to 7.10

Milestone renamed

comment:4 Changed on Jul 8, 2021 at 9:11:53 AM by yla

  • Milestone changed from 7.10 to 7.10.0

Milestone renamed

comment:5 Changed on Oct 12, 2021 at 6:06:12 PM by dkocher

#11696 closed as duplicate.

Note: See TracTickets for help on using tickets.